明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 959|回复: 3

快速选择lsp

[复制链接]
发表于 2015-8-18 12:33 | 显示全部楼层 |阅读模式
5明经币
以前在论坛下载的大侠的程序,若选择颜色随层的物体,则不能正确执行,提示:
命令: tt
选择对象: 程序运行出错:ssget 列表错误AutoCAD 变量设置被拒绝: "osmode" nil
请大侠修改,改成能按 类型 图层 颜色(可颜色随层) 正确过滤选择物体。谢谢。
(defun C:Tt (/ E)
  (if (setq E (entsel))
    (progn
      (setq E (entget (car E))
            E (list (assoc 0 E) (assoc 8 E)(assoc 62 E))
            E (ssget "_X" E)
      )
      (sssetfirst nil E)
      (princ "\n共有 ")
      (princ (sslength E))
      (princ " 个对象被选择。")
    )
  )
  (princ)
)

 楼主| 发表于 2015-8-21 15:56 | 显示全部楼层
谢谢叮咚,修改后达到目的。
回复

使用道具 举报

发表于 2015-8-21 12:10 | 显示全部楼层
  1. (defun C:Tt (/ E)
  2.   (if (setq E (entsel))
  3.     (progn
  4.       (setq E (entget (car E))
  5.             E (list (assoc 0 E) (assoc 8 E)(if (assoc 62 E)(assoc 62 E)(cons 62 256)))
  6.             E (ssget "_X" E)
  7.       )
  8.       (sssetfirst nil E)
  9.       (princ "\n共有 ")
  10.       (princ (sslength E))
  11.       (princ " 个对象被选择。")
  12.     )
  13.   )
  14.   (princ)
  15. )
回复

使用道具 举报

发表于 2017-12-21 08:00 | 显示全部楼层
感谢分享,非常有用
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-7-20 01:15 , Processed in 0.218327 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表